보고서 그룹 목록 조회
보고서 그룹 목록을 조회합니다.
HTTP 요청
GET /api/sonar/report-groups
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/report-groups
정상 응답
{
"report_groups": [
{
"guid": "8cdf8f7e-ebc6-4100-88f8-e97297cf5fc2",
"name": "보고서 그룹",
"description": null,
"owner_guid": "ce23adf2-13e4-40f9-ad0c-74d090b1f10c",
"owner_name": "데모",
"parent_guid": null,
"created": "2024-08-08 10:28:17+0900",
"updated": "2024-08-08 10:28:17+0900"
}
]
}
- report_groups (배열): 보고서 그룹 목록
- guid (문자열): 보고서 그룹 식별자
- name (문자열): 보고서 그룹 이름
- description (문자열): 보고서 그룹에 대한 설명
- owner_guid (문자열): 소유자 식별자
- owner_name (문자열): 소유자 성명
- parent_guid (문자열): 상위 보고서 그룹 식별자
- created (문자열): 생성일시 (
yyyy-MM-dd HH:mm:ssZ형식) - updated (문자열): 수정일시 (
yyyy-MM-dd HH:mm:ssZ형식)
오류 응답
보고서 그룹 목록 조회 권한이 없는 경우
HTTP 상태 코드 500 응답
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}